datacoexp<-read.table("Co-expression data.txt", header=T, sep="\t",stringsAsFactors=F)

coltable<-7
table(datacoexp[,coltable])
# factorization<-factor(table[,coltable], labels=c("1", "2","3","4"))

# pippo<-boxplot(table[table[,7]%in%"ortholog_one2one",9], table[c(table[,7]%in%"ortholog_many2many", table[,7]%in%"ortholog_one2many"),9],
#        main="Comparison of orthology relationship with genes commonly co-expressed",      ylab="Commonly co-expressed genes", names=c("Orthology one to one", "Orthology one to many and many to many"))
# pippo2<-boxplot(table[table[,7]%in%"ortholog_one2one",12], table[c(table[,7]%in%"ortholog_many2many", table[,7]%in%"ortholog_one2many"),12],
#      main="Comparison of orthology relationship with dn/ds ratio",       ylab="dn/ds ratio", names=c("Orthology one to one", "Orthology one to many and many to many"))
# to regulate the size of the written things on the axis: cex.axis=1

png(filename = "1B - Orthology relationship and dnds.png",width = 170, height = 200, units="mm", res=3000, bg = "transparent")
dndsratio<-boxplot(datacoexp[datacoexp[,7]%in%"ortholog_one2one",10], datacoexp[datacoexp[,7]%in%"ortholog_oneHUM2manyMOU" | datacoexp[,7]%in%"ortholog_oneMOU2manyHUM",10],
                   datacoexp[datacoexp[,7]%in%"ortholog_many2many",10], ylab="dN/dS ratio", names=c("one to one", "one to many","many to many"))
dev.off()

postscript(file = "1B - Orthology relationship and dnds.eps",width = 100, height = 150)
dndsratio<-boxplot(datacoexp[datacoexp[,7]%in%"ortholog_one2one",10], datacoexp[datacoexp[,7]%in%"ortholog_oneHUM2manyMOU" | datacoexp[,7]%in%"ortholog_oneMOU2manyHUM",10],
                   datacoexp[datacoexp[,7]%in%"ortholog_many2many",10], ylab="dN/dS ratio", names=c("one to one", "one to many","many to many"))
dev.off()

noMIX<-which(datacoexp[,7] != "ortholog_one2one" & datacoexp[,7] != "ortholog_many2many")
orthog<- datacoexp[,7]
orthog[noMIX] <- "one_to_many"

ortfact<-as.factor(orthog)
kruskal.test(datacoexp[,10], ortfact)

ort1<-which(datacoexp[,7] == "ortholog_one2one")
ort2<-which(datacoexp[,7] == "ortholog_many2many")
ort3<-noMIX


p1<- wilcox.test(datacoexp[ort1,10], datacoexp[ort2,10])$p.value
p2<- wilcox.test(datacoexp[ort1,10], datacoexp[ort3,10])$p.value
p3<- wilcox.test(datacoexp[ort2,10], datacoexp[ort3,10])$p.value
p.adjust(c(p1, p2, p3), method = "bonferroni")


png(filename = "2B - Orthology relationship and common genes.png",width = 780, height = 540, bg = "transparent")
coexprgene<-boxplot(datacoexp[datacoexp[,7]%in%"ortholog_one2one",13], datacoexp[datacoexp[,7]%in%"ortholog_one2many",13],datacoexp[datacoexp[,7]%in%"ortholog_many2many",13],
      main="B. Counts of genes commonly co-expressed grouped by homologous relationship", ylab="Commonly co-expressed genes", names=c("Orthology one to one", "Orthology one to many","Orthology many to many"))
dev.off()
ortfact<-as.factor(datacoexp[,7])
kruskal.test(datacoexp[,13], ortfact)