datacoexp<-read.table("Co-expression data.txt", header=T, sep="\t",stringsAsFactors=F)
datacoexpONE<-read.table("Co-expression data ONE-TO-ONE.txt", header=T, sep="\t",stringsAsFactors=F)

#######to find the commonly co-expressed genes########
quartilesENTIRE <- quantile(datacoexp$dn.ds, prob = seq(0, 1, 0.25),na.rm=T)
divENTIRE<-cut(datacoexp$dn.ds, quartilesENTIRE)

quartilesONE <- quantile(datacoexpONE$dn.ds, prob = seq(0, 1, 0.25),na.rm=T)
divONE<-cut(datacoexpONE$dn.ds, quartilesONE)

Ival<-round(as.numeric((quartilesENTIRE[1]+quartilesONE[1])/2), digits=2)
IIval<-round(as.numeric((quartilesENTIRE[2]+quartilesONE[2])/2), digits=2)
IIIval<-round(as.numeric((quartilesENTIRE[3]+quartilesONE[3])/2), digits=2)
IVval<-round(as.numeric((quartilesENTIRE[4]+quartilesONE[4])/2), digits=2)
Vval<-round(as.numeric((quartilesENTIRE[5]+quartilesONE[5])/2), digits=2)

jpeg(filename = "Division bins dNdS.jpg",width = 3000, height = 2300, res=300)
par(cex=1)

boxplot(datacoexp$commcoex.in.top5p~divENTIRE, boxwex =0.25, at =1:4 -0.2, col="black",medcol = "white", xlab="dN/dS ratio", ylab="commonly co-expressed genes",
        names=c(paste("(",Ival,", ~ ",IIval,"]", sep=""), paste("(~ ",IIval,", ~ ",IIIval,"]", sep=""), paste("(~ ",IIIval,", ~ ",IVval,"]", sep=""), 
                paste("(~ ",IVval,", ",Vval,"]", sep="")))

boxplot(datacoexpONE$commcoex.in.top5p~divONE, boxwex =0.25, at =1:4 +0.2, add=T, names=F, col="grey")
legend(0.2, 450, c("entire list of homologous pairs", "one to one orthologous only"), fill = c("black", "grey"))

dev.off()



## or
png(filename = "Division bins dNdS.png",width = 300, height = 200, units="mm", res=1000)
par(cex=1)

boxplot(datacoexp$commcoex.in.top5p~divENTIRE, boxwex =0.25, at =1:4 -0.2, col="black",medcol = "white", xlab="dN/dS ratio", ylab="commonly co-expressed genes",
        names=c(paste("(",Ival,", ~ ",IIval,"]", sep=""), paste("(~ ",IIval,", ~ ",IIIval,"]", sep=""), paste("(~ ",IIIval,", ~ ",IVval,"]", sep=""), 
                paste("(~ ",IVval,", ",Vval,"]", sep="")))

boxplot(datacoexpONE$commcoex.in.top5p~divONE, boxwex =0.25, at =1:4 +0.2, add=T, names=F, col="grey")
legend(0.2, 450, c("entire list of homologous pairs", "one to one orthologous only"), fill = c("black", "grey"))

dev.off()


## or
postscript(file = "Division bins dNdS.eps",width = 250, height = 150)
#par(cex=1)

boxplot(datacoexp$commcoex.in.top5p~divENTIRE, boxwex =0.25, at =1:4 -0.2, col="black",medcol = "white", xlab="dN/dS ratio", ylab="commonly co-expressed genes",
        names=c(paste("(",Ival,", ~ ",IIval,"]", sep=""), paste("(~ ",IIval,", ~ ",IIIval,"]", sep=""), paste("(~ ",IIIval,", ~ ",IVval,"]", sep=""), 
                paste("(~ ",IVval,", ",Vval,"]", sep="")))

boxplot(datacoexpONE$commcoex.in.top5p~divONE, boxwex =0.25, at =1:4 +0.2, add=T, names=F, col="grey")
legend(0.2, 450, c("entire list of homologous pairs", "one to one orthologous only"), fill = c("black", "grey"))

dev.off()