
#calculate degree
# load("adjacencyMOU5p")
# library("igraph")
# memory.limit(14000)
# graphob<-graph.adjacency(adjacencyMOU, mode="directed", diag=F)
# degreeMOU5p<-degree(graphob,mode="out")
# save(degreeMOU5p, file="degreeMOU5p")

# create a network
# load("adjacencyMOU1p")
# memory.limit(14000)
# library("igraph")
# netMOU1p<-graph.adjacency(adjacencyMOU, mode="directed", diag=F)
# save(netMOU1p, file="netMOU1p")

# open and read the files
load("netHUM1p")
 load("adjacencyMOU1p")
 load("deg.distrHUM1p")
 load("degreeHUM1p")
 memory.limit(12000)
 library("igraph")
 graphob<-graph.adjacency(adjacencyMOU, mode="directed", diag=F)
sadeg.distr<-degree.distribution(graphob,cumulative=F,mode="out")
# log-log plot
tiff(filename = "Degree distribution of human network.tif",width = 12, height = 10, units="in",  res=300)
par(cex=2)
plot(deg.distrHUM, log="xy",bg="black", xlab="Degree (log10 k)", ylab="Frequency (log10 P(k))", pch=18)
dev.off()
# degreeHUM<-degree(graphob,v=V(graphob),mode="out")
power<-power.law.fit(degreeHUM)
text(800, y=0.05, paste("P(k)~k^-",round(power$alpha,digit=3)))
transitivity(graphob, type="local")
###to draw the line that fit the power law distribution #########
# values<-which(deg.distr!=0)
# freqval<-deg.distr[values]
# lines(values,values^((-power$alpha)+1), col="red")
# hist(degree(graphob,mode="out"))
# plot(degree(graphob,mode="out"))
# write.table(degree(graphob, mode="out"), file="degreeHUM1p.txt", sep="\t", col.names=F)

####### Mouse network ##########
# load("adjacencyMOU1p")
load("deg.distrMOU1p")
load("degreeMOU1p")
# memory.limit(12000)
library("igraph")
# graphob<-graph.adjacency(adjacencyMOU, mode="directed", diag=F)
# deg.distrMOU<-degree.distribution(graphob,cumulative=F,mode="out")
# log-log plot
tiff(filename = "Degree distribution of mouse network.tif",width = 12, height = 10, units="in",  res=300)
par(cex=2)
plot(deg.distrMOU, log="xy",bg="black", xlab="Degree (log10 k)", ylab="Frequency (log10 P(k))", pch=18)
dev.off()
# degreeMOU<-degree(graphob,v=V(graphob),mode="out")
power<-power.law.fit(degreeMOU)
text(1600, y=0.03, paste("P(k)~k^-",round(power$alpha,digit=3)))


#alternative way to generate the graph

# d <- degree(graphob)
# dd <- as.numeric(table(d))   # alternatively degree.distribution
# dd2 <- dd/sum(dd)
# plot(dd2,log="xy", ylab="frequency", xlab="connectivity")
# power<-power.law.fit(d)
# lines(seq(dd2), seq(dd2)^((-power$alpha)+1), col="red")


##### some trials using WGCNA
# load("trialadjHUM")
# diag(trialadjHUM)<- 0
# library("WGCNA")
# conn<-apply(adjacencyHUM, 1,sum)
# scaleFreePlot(conn, nBreaks=1000)
# library("network")
# pippo<-as.network(trialadjHUM, directed=F)
# library("intergraph")
# conn<-apply(trialadjHUM, 1,sum)
