datacoexp<-read.table("Co-expression data.txt", header=T, sep="\t",stringsAsFactors=F)
human<-read.table("degreeHUM1p.txt", header=T, sep="\t",stringsAsFactors=F)
mouse<-read.table("degreeMOU1p.txt", header=T, sep="\t",stringsAsFactors=F)
ONE <- which(datacoexp[,7] == "ortholog_one2one")
ONEHUM <- which(datacoexp[,7] == "ortholog_oneHUM2manyMOU")
ONEMOU <- which(datacoexp[,7] == "ortholog_oneMOU2manyHUM")
MANY <- which(datacoexp[,7] == "ortholog_many2many")

mou_all<- summary(mouse[,3])[c(2,3,5)]
hum_all<- summary(human[,3])[c(2,3,5)]
mou_all_hom<- summary(mouse[which(mouse[,1] %in% datacoexp[,2]),3])[c(2,3,5)]
hum_all_hom<- summary(human[which(human[,1] %in% datacoexp[,1]),3])[c(2,3,5)]
mou_non_hom<-summary(mouse[-which(mouse[,1] %in% datacoexp[,2]),3])[c(2,3,5)]
hum_non_hom<-summary(human[-which(human[,1] %in% datacoexp[,1]),3])[c(2,3,5)]
mou_hom_one<-summary(mouse[which(mouse[,1] %in% datacoexp[ONE,2]),3])[c(2,3,5)]
hum_hom_one<-summary(human[which(human[,1] %in% datacoexp[ONE,1]),3])[c(2,3,5)]
mou_hom_one2man<-summary(mouse[which(mouse[,1] %in% datacoexp[c(ONEHUM, ONEMOU),2]),3])[c(2,3,5)]
hum_hom_one2man<-summary(human[which(human[,1] %in% datacoexp[c(ONEHUM, ONEMOU),1]),3])[c(2,3,5)]
mou_hom_man<-summary(mouse[which(mouse[,1] %in% datacoexp[MANY,2]),3])[c(2,3,5)]
hum_hom_man<-summary(human[which(human[,1] %in% datacoexp[MANY,1]),3])[c(2,3,5)]


library(gplots)   # load the package to create line graphs
xax<-c(1:5)
yax<-as.numeric(c(hum_all[2], hum_hom_one[2], hum_hom_one2man[2],hum_hom_man[2], hum_non_hom[2]))
low<-as.numeric(c(hum_all[1],hum_hom_one[1],  hum_hom_one2man[1], hum_hom_man[1], hum_non_hom[1]))
up<-as.numeric(c(hum_all[3], hum_hom_one[3], hum_hom_one2man[3], hum_hom_man[3],  hum_non_hom[3]))
#plotCI(x=xax, y = yax, uiw=up-yax, liw=yax-low, pch=24, cex=1.5, gap=0,ylim=c(0,450), xlim=c(0.8, 5.3), col="red", xaxt="n",
#       xlab= "", ylab= "network connectivity")

xaxM<-c(1.2:5.2)
yaxM<-as.numeric(c(mou_all[2], mou_hom_one[2], mou_hom_one2man[2],mou_hom_man[2], mou_non_hom[2]))
lowM<-as.numeric(c(mou_all[1],mou_hom_one[1],  mou_hom_one2man[1], mou_hom_man[1], mou_non_hom[1]))
upM<-as.numeric(c(mou_all[3], mou_hom_one[3], mou_hom_one2man[3], mou_hom_man[3],  mou_non_hom[3]))
#plotCI(x=xaxM, y = yaxM, uiw=upM-yaxM, liw=yaxM-lowM, pch=21, cex=1.5, gap=0,ylim=c(0,450), col="blue",  add=TRUE)
#axis(1, at=c(1.1,2.1,3.1,4.1,5.1), labels=c("ALL GENES", "ONE-TO-ONE \nHOMOLOGS", "ONE-TO-MANY \nHOMOLOGS", "MANY-TO-MANY \nHOMOLOGS","NON-HOMOLOGS"), cex.axis=0.7)

setEPS()
postscript(file= "connectivity hom.eps", width = 7, height=5)
plotCI(x=xax, y = yax, uiw=up-yax, liw=yax-low, pch=24, cex=1.5, gap=0,ylim=c(0,450), xlim=c(0.8, 5.3), col="red", xaxt="n",
       xlab= "", ylab= "network connectivity")
plotCI(x=xaxM, y = yaxM, uiw=upM-yaxM, liw=yaxM-lowM, pch=21, cex=1.5, gap=0,ylim=c(0,450), col="blue",  add=TRUE)
axis(1, at=c(1.1,2.1,3.1,4.1,5.1), labels=c("ALL GENES", "ONE-TO-ONE \nHOMOLOGS", "ONE-TO-MANY \nHOMOLOGS", "MANY-TO-MANY \nHOMOLOGS","NON-HOMOLOGS"), cex.axis=0.7)
legend(
  x=0.8, # x coordinate of the top left of the legend
  y=460, # y coordinate of the top left of the legend
  box.lty=0, # line type to surround the legend box (0 for none)
  
  legend=c("human","mouse"), # sequence of text for the legend
  pch=c(24,21), # sequence of point types for the legend; -1 is a nonexistent point
  pt.cex=c(1.5,1.8,1),
  col=c("red", "blue"),

)
dev.off()
