# load data with gene homology information
datacoexp<-read.table("Co-expression data.txt", header=T, sep="\t",stringsAsFactors=F)

# load data co-expression information
human5p<-read.table("topgenes_Human5percent.txt", header=F, sep="\t",stringsAsFactors=F)
mouse5p<-read.table("topgenes_Mouse5percent.txt", header=F, sep="\t",stringsAsFactors=F)

#to calculate how many commonly co-expressed genes a gene have got
human<-c()  # entrez ID
mouse<-c()  # entrez ID
HUMgenesymb<-c()  # HUMAN gene symbols
MOUgenesymb<-c()
homology<-c()
NumHomHUM<-c()
NumHomMOU<-c()
Numcommon<-c()   # Number of common genes
diffconn<-c()
common<-c()   # common homologs

for(i in 1:length(datacoexp[,1])){
  humanID<-which(human5p[,1]==datacoexp[i,1])    # select human ID in list of coexpressed genes
  mouseID<-which(mouse5p[,1]==datacoexp[i,2])   # here for the mouse
  
  humanIDhom<-which(datacoexp[,1]%in%human5p[humanID,][-c(1,2)])   # select only homolgous co-expressed genes for human
  humanlen<-length(unique(datacoexp[datacoexp[,1]%in%human5p[humanID,][-c(1,2)],1]))  # report the number
  
  mouseIDhom<-which(datacoexp[,2]%in%mouse5p[mouseID,][-c(1,2)])   # select only homolgous co-expressed genes for mouse
  mouselen<-length(unique(datacoexp[datacoexp[,2]%in%mouse5p[mouseID,][-c(1,2)],2]))   # report the number
  
  Numcommongenes<-length(which(mouseIDhom%in%humanIDhom))   # number of commonly co-expressed genes
  #####co-expressed genes:
  commongenes<-intersect(mouseIDhom,humanIDhom)   # intersec the two lists
  commongenes<-unique(datacoexp[commongenes,5])   #  choose if you want Entrez ID (with 1) or Gene symbols (with 5)
  commongen<-paste(commongenes, collapse=",")     # collapse vector
  
  human<-c(human, datacoexp[i,1])
  mouse<-c(mouse, datacoexp[i,2])
  HUMgenesymb<-c(HUMgenesymb, datacoexp[i,5])
  MOUgenesymb<-c(MOUgenesymb, datacoexp[i,6])
  homology<-c(homology, datacoexp[i,7])
  NumHomHUM<-c(NumHomHUM, humanlen)
  NumHomMOU<-c(NumHomMOU, mouselen)
  Numcommon<-c(Numcommon, Numcommongenes) 
  diffconn<-c(diffconn, datacoexp$diffconn[i])
  common<-c(common, commongen)
  print(i)
}

result<-cbind(human, mouse, HUMgenesymb, MOUgenesymb, homology, NumHomHUM, NumHomMOU, Numcommon, diffconn, common)
write.table(result, file="commonly co-expressed genes.txt", quote=F, sep="\t", row.names=F, col.names=T)
