setwd("/Users/gianni/Desktop/Work_temp/2014_Co-expression maps human mouse/3 - commonly co-expressed genes")
library("Hmisc") # this package creates the error bar of the line plot
common<-read.table("common.txt", header=T, sep="\t",stringsAsFactors=F)

M<- cor(common[,6:15], use= "pairwise.complete.obs", method ="spearman") # get correlations
#par(oma = c(2, 0,1,0))
library('corrplot') #package corrplot
corrplot(M, method = "circle") #plot matrix

meanC<- apply(M, 1, mean)
disp<-apply(M, 1, function(x) sd(x)/sqrt(length(x))) # standard error
# disp<-apply(M, 1, sd) #standard deviation

df <- data.frame(
  x = 1:10,
  y = meanC,
  s = disp)

pdf(file= "CCG threshold.pdf", width = 6, height=5)
par(mar=c(5,4.2,1.5,1.5))
plot(df$x, df$y, type ="o", ylim =c(0.85,1), ylab ="mean of correlation", xlab ="Threshold in percentage", col = "firebrick", xaxt = "n")
labs<-c("1%", "2%", "3%", "4%", "5%", "6%", "7%", "8%", "9%", "10%")
axis(side=1, at=1:10, labels=labs,cex.axis=1)
with (
  data = df
  , expr = errbar(1:10, y, y+s, y-s, add=T, pch=1, cap=.01,col = "firebrick",errbar.col = "firebrick")
)
dev.off()


