common<-read.table("commonly co-expressed genes.txt", header=T, sep="\t",stringsAsFactors=F)
genesets<-read.table("1 - Pathways.txt", header=F, sep="\t",stringsAsFactors=F)

MainDir<-getwd()
dir.create("permuted_files", showWarnings = FALSE)
PerDir<-paste0(MainDir,"/permuted_files")

results<-c()
###########  retrieve information
for(i in 1:2){
  ####warning: if you use the disease gene sets change "common[,1]" to "common[,3]" 
  genespath<-which(common[,1] %in%  genesets[i,-1])  
  set_common<-common[genespath, c(3,4,5,8,9,10)]
  
  #### defining the for a gene set are co-expressed in both species
  mix_common<-paste(set_common[,6], collapse=",")
  mix_common<-unlist(strsplit(mix_common, ","))
  mix_common<-mix_common[-which(mix_common %in% "NA")]
  tab_mix<-as.data.frame(table(mix_common))
  ord_tab_mix<-tab_mix[order(tab_mix[,2],decreasing=T),]
  ###remove genes that are already part of the gene set
  eq<-which(ord_tab_mix[,1] %in% set_common[,1])
  ord_tab_mix<-ord_tab_mix[-eq,]
  
  ## length of a gene set
  nset<-length(set_common[,1])
  
  setwd(PerDir)
  
  if(file.exists(paste0("Per_", nset, ".txt"))){
    perm_data<-read.table(file=paste0("Per_", nset, ".txt"), sep = "\t")
  } else {
    ALLgenes<-unique(common[which(!is.na(common[,3])),3])
    perm_data<-matrix(data=0, nrow=length(ALLgenes), ncol=1000)
    rownames(perm_data)<-ALLgenes
    
    # permutation
    for(a in 1:1000){
      scrambleset<-sample(which(!is.na(common[,3])),nset)
      scrambleres<-common[scrambleset, 10]
      mix_genes<-paste(scrambleres, collapse=",")
      mix_genes2<-unlist(strsplit(mix_genes, ","))
      NAval<-which(mix_genes2 %in% "NA")
      if(length(NAval) != 0){ mix_genes2<-mix_genes2[-NAval]} else{}
      genes<-as.data.frame(table(mix_genes))
      comgenes<-genes[which(genes[,1] %in% rownames(perm_data)),]
      posis<-match(comgenes[,1], rownames(perm_data))
      perm_data[posis,a]<-comgenes[,2]
    }
    write.table(perm_data, file=paste0("Per_", nset, ".txt"), sep = "\t")
  }
    
  ####add p-values
  ord_tab_mix<-cbind(ord_tab_mix, rep(NA, length(ord_tab_mix[,1])))
  colnames(ord_tab_mix)[length(ord_tab_mix[1,])]<-"p_value"
  for(b in 1:length(ord_tab_mix[,1])){
    row<-perm_data[which(rownames(perm_data) %in% ord_tab_mix[b,1]),]
    len<-length(which(row>=ord_tab_mix[b,2]))
    statistic<-(len+1)/(1000+1)
    ord_tab_mix[b,length(ord_tab_mix[1,])]<-statistic
  }
  ##add fdr values
  ord_tab_mix<-cbind(ord_tab_mix, rep(NA, length(ord_tab_mix[,1])))
  colnames(ord_tab_mix)[length(ord_tab_mix[1,])]<-"fdr"
  ord_tab_mix[,length(ord_tab_mix[1,])]<-p.adjust(ord_tab_mix$p_value, method="fdr")
  
  ###significant genes are written in a object
  sign_genes<-ord_tab_mix[which(ord_tab_mix$fdr <= 0.05),]
  temp<-c()
  for(t in 1:length(sign_genes[,1])){
    temp<-paste0(temp, sign_genes$mix_common[t], " (freq=", sign_genes$Freq[t], ", fdr=", round(sign_genes$fdr[t], digits=4),"), ")
  }
  results<-rbind(results, c(genesets[i,1], temp))
}


####write name of the pathway
write.table(results, file="common_gene_pathways.txt", quote=F, sep="\t", row.names=F, col.names=T)
